// fobject.h
// rev vk 940630

#ifndef __TOBJECT_H__
#define __TOBJECT_H__


class TFObject
{
 public:
    TFObject(void);
    virtual ~TFObject(void);

    virtual bool    IsEqual(const TFObject &) const = 0;

    bool operator == (const TFObject &aObjTest) const;
    bool operator != (const TFObject &aObjTest) const;
};

#endif //__TOBJECT_H__
